2019-11-12 11:25 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000743Spring engineGeneralpublic2008-01-02 01:23
Reportertvo 
Assigned Totvo 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000743: regression: game starts before players have readied up (r5174)
DescriptionSee topic ^^.

In "choose startpos in game" mode the game starts immediately after everyone joined, so everyone already gets his com spawned while he still needs to click ready.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0001587

tvo (reporter)

Additionally, in an 1v1 XTA v9.3 game with host specing and no other specs, this bug didn't happen but the team colors and names were messed up, and the rectangles to choose startposition in weren't visible at all.

~0001594

Auswaschbar (reporter)

Did you have an infolog from one of the clients?

~0001602

KDR_11k (reporter)

I think it doesn't happen in 1v1 at all. When I was hosting anything larger the countdown would start the moment I finished loading. I don't think it waited for everyone, just the host.

~0001605

Auswaschbar (reporter)

I need your help. My PC just broke and my Laptop can't run spring so I need someone to volunteer for testing rev >= 5178 if this bug still happens.

Big thx!

~0001609

tvo (reporter)

This seems to work now. Only something weird still going on with rendering the start rectangle.

~0001613

Kloot (developer)

Last edited: 2007-12-31 21:11

For reference, two 1v1 demos (-0.sdf and
-1.sdf) recorded by me from the test on
sunday that still show the start position
marker color/name mixups in r5190, and a
third one that seemed to desync for a bit
(at time index 27:04) but got back in sync
later.

~0001625

tvo (reporter)

Tested this, indeed still bugged. Positions are set correctly though, it seems that just the rendering is messed up, so changing to major.

~0001631

tvo (reporter)

Was bug in LUA API, fixed now.
+Notes

-Issue History
Date Modified Username Field Change
2007-12-30 20:59 tvo New Issue
2007-12-30 21:00 tvo Severity minor => block
2007-12-30 21:00 tvo Summary game starts before players have readied up => regression: game starts before players have readied up
2007-12-30 21:11 tvo Summary regression: game starts before players have readied up => regression: game starts before players have readied up (r5174)
2007-12-30 22:53 tvo Note Added: 0001587
2007-12-30 23:58 Auswaschbar Note Added: 0001594
2007-12-31 05:46 KDR_11k Note Added: 0001602
2007-12-31 14:17 Auswaschbar Note Added: 0001605
2007-12-31 15:55 tvo Note Added: 0001609
2007-12-31 19:13 Kloot File Added: 071230-Altair_Crossing-V1-0.75b2+-0.sdf
2007-12-31 19:13 Kloot File Added: 071230-Altair_Crossing-V1-0.75b2+-1.sdf
2007-12-31 19:14 Kloot Note Added: 0001613
2007-12-31 19:16 Kloot Note Edited: 0001613
2007-12-31 19:29 Kloot Note Edited: 0001613
2007-12-31 19:31 Kloot File Added: 071230-Altair_Crossing-V1-0.75b2+.sdf
2007-12-31 19:32 Kloot Note Edited: 0001613
2007-12-31 19:33 Kloot Note Edited: 0001613
2007-12-31 19:34 Kloot Note Edited: 0001613
2007-12-31 21:11 Kloot Note Edited: 0001613
2008-01-01 17:58 tvo Severity block => major
2008-01-01 17:59 tvo Note Added: 0001625
2008-01-02 01:22 tvo Status new => resolved
2008-01-02 01:22 tvo Resolution open => fixed
2008-01-02 01:22 tvo Assigned To => tvo
2008-01-02 01:22 tvo Note Added: 0001631
+Issue History